Bug 801836 - RichFaces simpleapp archetype with enterprise=true is reportedly broken
RichFaces simpleapp archetype with enterprise=true is reportedly broken
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.0.0.ER3
Assigned To: Brian Leathem
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 10:42 EST by Brian Leathem
Modified: 2012-04-05 09:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 09:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Leathem 2012-03-09 10:42:40 EST

    
Comment 1 Brian Leathem 2012-03-09 10:52:19 EST
Generating an archetype via the command line with:

mvn archetype:generate -DarchetypeGroupId=org.richfaces.archetypes 
                       -DarchetypeArtifactId=richfaces-archetype-simpleapp 
                       -DarchetypeVersion=4.2.0-Final 
                       -Denterprise=true

Results in a generated project with a pom that references the RichFaces BOM version:
<org.richfaces.bom.version>4.1.0.Final-redhat-1</org.richfaces.bom.version>

This should instead be:
4.2.0.Final-redhat-1

The RichFaces maven archetype needs to be re-released and pushed to maven central.  Once it's been re-released, we need to co-ordinate with the JBoss tools team (Max) to make sure it's available via maven ventral.
Comment 2 Brian Leathem 2012-03-09 17:08:13 EST
The richfaces simpleapp archetype problems have been resolved. We have done a new release of the Richfaces simpleapp archetype with version: 4.2.0.Final-1

With the above released archetype I have tested (for both enterprise=true|false):
* generating the project
* compiling the project
* deploying the project (to EAP6 | JBAS7 repsectively)
* running the project

The updated artifact will be pulled into maven central at end-of-day.

We need to follow up with the JBDS team to make sure it's included in the JBoss Central page.
Comment 3 Karel Piwko 2012-03-13 10:21:45 EDT
Verified enterprise variant on EAP ER3 with WFK ER3 within JBoss Central in JBDS 5 Beta1e as well as the community variant on AS 7.1.1.Final.

However, there are issues with Arquillian test distributed in the example.
Comment 4 Karel Piwko 2012-03-13 10:26:37 EDT
Arquillian issues commented in https://bugzilla.redhat.com/show_bug.cgi?id=802802 issue.
Comment 5 Brian Leathem 2012-03-13 10:40:48 EDT
The archetype richfaces-archetype-simpleapp (which this issue refers to) does not have any arquilian tests.

I believe you are talking about richfaces-archetype-kitchensink when you mention the failing arquillian tests, which is not related to this issue.
Comment 6 Karel Piwko 2012-03-13 10:46:42 EDT
Brian, correct I did a verification of JBoss Central RichFaces sample, which uses archetype in the background. I must have misread tit.

So I'm reopening the issue. It will be verified once fixed richfaces-archetype-simpleapp is available in Maven Central.
Comment 7 Pavol Pitonak 2012-03-14 08:22:46 EDT
Archetype was synced to Maven Central and Jenkins job passed:

http://hudson.qa.jboss.com/hudson/view/RF-Prod/job/richfaces-wfk-2.0-archetype-simpleapp-ftest/26/
Comment 8 Karel Piwko 2012-04-05 09:48:16 EDT
Verified in WFK 2.0.0.ER3 (a.k.a. 2.0.0.Beta1).

Note You need to log in before you can comment on or make changes to this bug.